<?php
/**
 * Autoloader for php-symfony4-dependency-injection and its' dependencies
 * (created by php-symfony4-4.4.50-1.el9.remi).
 */
require_once dirname(dirname(__DIR__)).'/autoload-common.php';

// Self PSR-4
\Fedora\Autoloader\Autoload::addPsr4('Symfony\\Component\\DependencyInjection\\', __DIR__, true);

// Required dependencies
\Fedora\Autoloader\Dependencies::required([
    FEDORA_SYMFONY4_PHP_DIR.'/Psr/Container/autoload.php',
    FEDORA_SYMFONY4_PHP_DIR.'/Symfony/Polyfill/autoload.php',
    FEDORA_SYMFONY4_PHP_DIR.'/Symfony/Contracts/autoload.php'
]);

// Optional dependencies
\Fedora\Autoloader\Dependencies::optional([
    FEDORA_SYMFONY4_DIR.'/Component/Yaml/autoload.php',
    FEDORA_SYMFONY4_DIR.'/Component/Config/autoload.php',
    FEDORA_SYMFONY4_DIR.'/Component/Finder/autoload.php',
    FEDORA_SYMFONY4_DIR.'/Component/ExpressionLanguage/autoload.php',
    FEDORA_SYMFONY4_DIR.'/Bridge/ProxyManager/autoload.php'
]);
